public class ISBN
{
 	static public void main(String[] args)
 	{
		String ISBN;
		int mISBN;
		int ausgabe = 0;
		System.out.println("Bitte geben sie die ersten 9 stellen der ISBN-Nummer  ohne bindestriche ein:");
		ISBN = InOut.getLine();
		if (ISBN.length() !=9)
		{
			System.out.println("Flasche Stellen Anzahl");
			return;
		}
		for(int i=0;i<ISBN.length();i++)
		{
			mISBN = ISBN.charAt(i) - (int)'0';
			System.out.println("Teilsumme: " +(i+1) +" mal " +mISBN+" ergiebt "+mISBN * (i+1));
			ausgabe = ausgabe + mISBN * (i+1);
		}
		System.out.println(" ");
		System.out.print("Gesammtsumme");
		System.out.println(ausgabe);
		ausgabe = ausgabe%11;
		System.out.println(" ");
		System.out.println("Die Prüfziffer sollte folgende sein:");
		if (ausgabe == 10)
		{
			System.out.println("X");
		}
		else
		{
			System.out.println(ausgabe);
		}
		System.out.print(" ");
		System.out.println("");
	}

}
